#
# API-method.R, 22 Jan 14

par(col="black")
par(bty="l")
par(las=1)
par(pch=3)


api_method=read.csv(paste0(root, "regression/t/ZipfCombined.csv"), as.is=TRUE)

api_method=na.omit(api_method)
api_method$l_Non_API=log(api_method$Non_API)
api_method$l_API=log(api_method$API)

plot(api_method$API, api_method$Non_API, log="xy",
	xlab="API calls", ylab="Non-API calls")

a_mod=glm(l_Non_API ~ l_API, data=api_method)

pred=predict(a_mod, type="response", se.fit=TRUE)

lines(api_method$API, exp(pred$fit), col="red")

